import { world } from '@minecraft/server';

world.events.beforeChat.subscribe(async (eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
		case '!progress':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/progress');
			break;
		case '!progress_minecraft':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/progress/minecraft');
			break;
		case '!progress_adventure':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/progress/adventure');
			break;
		case '!progress_husbandry':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/progress/husbandry');
			break;
		case '!progress_the_nether':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/progress/the_nether');
			break;
		case '!progress_the_end':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/progress/the_end');
			break;
		case '!progress_achivements':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/progress/achievements');
			break;
		case '!help':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/help');
			break;
		case '!admin':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/perms');
			break;
		default: break;
	}
    if (!player.hasTag('ADMIN')) return;
	switch (eventData.message) {
		case '!show_score':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/scoreboard/compete/show_score');
			break;
		case '!hide_score':
			eventData.cancel = true;
			await player.runCommandAsync('function adv/scoreboard/compete/hide_score');
			break;
		default: break;
	}
});